TLM-2.0: tlm::tlm_dmi Class Reference

# tlm::tlm_dmi Class Reference

`#include <tlm_dmi.h>`

List of all members.

## Public Types
enum | dmi_access_e { DMI_ACCESS_NONE = 0x00, DMI_ACCESS_READ = 0x01, DMI_ACCESS_WRITE = 0x02, DMI_ACCESS_READ_WRITE = DMI_ACCESS_READ | DMI_ACCESS_WRITE }
## Public Member Functions
| tlm_dmi (void)
void | init (void)
unsigned char * | get_dmi_ptr (void) const
sc_dt::uint64 | get_start_address (void) const
sc_dt::uint64 | get_end_address (void) const
sc_core::sc_time | get_read_latency (void) const
sc_core::sc_time | get_write_latency (void) const
dmi_access_e | get_granted_access (void) const
bool | is_none_allowed (void) const
bool | is_read_allowed (void) const
bool | is_write_allowed (void) const
bool | is_read_write_allowed (void) const
void | set_dmi_ptr (unsigned char *p)
void | set_start_address (sc_dt::uint64 addr)
void | set_end_address (sc_dt::uint64 addr)
void | set_read_latency (sc_core::sc_time t)
void | set_write_latency (sc_core::sc_time t)
void | set_granted_access (dmi_access_e a)
void | allow_none (void)
void | allow_read (void)
void | allow_write (void)
void | allow_read_write (void)

## Detailed Description

Definition at line 25 of file tlm_dmi.h.

## Member Enumeration Documentation

enum tlm::tlm_dmi::dmi_access_e

Enumerator:

  DMI_ACCESS_NONE |
  DMI_ACCESS_READ |
  DMI_ACCESS_WRITE |
  DMI_ACCESS_READ_WRITE |

Definition at line 34 of file tlm_dmi.h.

## Constructor & Destructor Documentation

tlm::tlm_dmi::tlm_dmi | ( | void |  | ) | `[inline]`

Definition at line 41 of file tlm_dmi.h.

## Member Function Documentation

void tlm::tlm_dmi::allow_none | ( | void |  | ) | `[inline]`

Definition at line 73 of file tlm_dmi.h.

void tlm::tlm_dmi::allow_read | ( | void |  | ) | `[inline]`

Definition at line 74 of file tlm_dmi.h.

void tlm::tlm_dmi::allow_read_write | ( | void |  | ) | `[inline]`

Definition at line 76 of file tlm_dmi.h.

void tlm::tlm_dmi::allow_write | ( | void |  | ) | `[inline]`

Definition at line 75 of file tlm_dmi.h.

unsigned char* tlm::tlm_dmi::get_dmi_ptr | ( | void |  | ) | const`[inline]`

Definition at line 56 of file tlm_dmi.h.

sc_dt::uint64 tlm::tlm_dmi::get_end_address | ( | void |  | ) | const`[inline]`

Definition at line 58 of file tlm_dmi.h.

dmi_access_e tlm::tlm_dmi::get_granted_access | ( | void |  | ) | const`[inline]`

Definition at line 61 of file tlm_dmi.h.

sc_core::sc_time tlm::tlm_dmi::get_read_latency | ( | void |  | ) | const`[inline]`

Definition at line 59 of file tlm_dmi.h.

sc_dt::uint64 tlm::tlm_dmi::get_start_address | ( | void |  | ) | const`[inline]`

Definition at line 57 of file tlm_dmi.h.

sc_core::sc_time tlm::tlm_dmi::get_write_latency | ( | void |  | ) | const`[inline]`

Definition at line 60 of file tlm_dmi.h.

void tlm::tlm_dmi::init | ( | void |  | ) | `[inline]`

Definition at line 46 of file tlm_dmi.h.

bool tlm::tlm_dmi::is_none_allowed | ( | void |  | ) | const`[inline]`

Definition at line 62 of file tlm_dmi.h.

bool tlm::tlm_dmi::is_read_allowed | ( | void |  | ) | const`[inline]`

Definition at line 63 of file tlm_dmi.h.

bool tlm::tlm_dmi::is_read_write_allowed | ( | void |  | ) | const`[inline]`

Definition at line 65 of file tlm_dmi.h.

bool tlm::tlm_dmi::is_write_allowed | ( | void |  | ) | const`[inline]`

Definition at line 64 of file tlm_dmi.h.

void tlm::tlm_dmi::set_dmi_ptr | ( | unsigned char * | p | ) | `[inline]`

Definition at line 67 of file tlm_dmi.h.

void tlm::tlm_dmi::set_end_address | ( | sc_dt::uint64 | addr | ) | `[inline]`

Definition at line 69 of file tlm_dmi.h.

void tlm::tlm_dmi::set_granted_access | ( | dmi_access_e | a | ) | `[inline]`

Definition at line 72 of file tlm_dmi.h.

void tlm::tlm_dmi::set_read_latency | ( | sc_core::sc_time | t | ) | `[inline]`

Definition at line 70 of file tlm_dmi.h.

void tlm::tlm_dmi::set_start_address | ( | sc_dt::uint64 | addr | ) | `[inline]`

Definition at line 68 of file tlm_dmi.h.

void tlm::tlm_dmi::set_write_latency | ( | sc_core::sc_time | t | ) | `[inline]`

Definition at line 71 of file tlm_dmi.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_h/tlm_2_interfaces/tlm_dmi.h